Bug 38474 - rpm doesn't give the option of creating symlinks when relocating file locations
Summary: rpm doesn't give the option of creating symlinks when relocating file locations
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-30 23:26 UTC by fruitbat
Modified: 2007-03-27 03:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-30 23:28:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Actual" and "Expected" results (2.80 KB, text/plain)
2001-04-30 23:28 UTC, fruitbat
no flags Details

Description fruitbat 2001-04-30 23:26:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.17-12mdk i586; Nav)


The --relocate option for rpm is very useful, but would be even more
so if it were possible to optionally create symlinks between relocated
directories and their "canonical" positions (as specified in the
specfile).


Reproducible: Always
Steps to Reproduce:
n/a
	

Actual Results:  see attachment
Expected Results:  see attachment

Comment 1 fruitbat 2001-04-30 23:28:55 UTC
Created attachment 16926 [details]
"Actual" and "Expected" results

Comment 2 Jeff Johnson 2001-05-06 14:23:17 UTC
While I understand the need, rpm --relocate is not the right place to implement
this, there are far too many problems with overloading --relocate. For example,
should directories be created or symlinked. etc?

You can detect that the package is being relocated, create the symlinks
in %post, add a %verifyscript section to check that, if relocated, the symlinks
are correct, and filnally remove, if relocated, the symlinks in %preun if
erasing the package if you wish rpm to manage the functionality. Alternatively,
write a script, possibly using rpm -q, to create the shadow directories and
symlink the files.


Note You need to log in before you can comment on or make changes to this bug.